import { Button } from "react-bootstrap";
import { BrowserRouter as Routes, Route, Switch, useHistory} from "react-router-dom";
import useAuth from '../Auth/useAuth';
import {PrivateRoute} from "./PrivateRoute";
import Dashboard from "./Dashboard";



function Privada () {
    return (
        <div>
            <h1>Ruta Privada</h1>
        </div>
    )
}

function Login () {
    
    let auth = useAuth();
    let history = useHistory()


    function In () {
        auth.login({ name : 'edgar', id : 1 })
        console.log('is logged ? ',auth.isLogged())
        history.push('/dashboard')
        //{/* return <Redirect to="/dashboard"/> */}
    }

    return(
        <>
            <h1>Bienvenido</h1>
            <Button onClick={In}>
                Iniciar Session
            </Button>
            {/* <Button style={{ marginLeft : 10 }} variant="danger" onClick={ () => auth.logout() }> */}
            {/*     Cerrar Session */}
            {/* </Button> */}
        </>
    )
}


export default function MyRoutes () {
    return(
        <Routes>
            <Switch>

                <Route exact path="/" component={Login}/>
                <Route exact path="/privada" component={Privada}/>
                <PrivateRoute exact component={Dashboard} path="/dashboard" />
                <Route path="*"> <h1>404 Not Found</h1> </Route>
            </Switch>

        </Routes>
    )
}

